%define _requires_exceptions devel(libneon

%define apache_version 2.2.0
%define libsvn %mklibname svn 0
%define libsvngnomekeyring %mklibname svn-gnome-keyring 0
%define libsvnkwallet %mklibname svn-kwallet 0

# Java requires devel symlinks in non-devel packages due to design
# (System.loadLibrary). Do not add -devel dependencies.
%define _exclude_files_from_autoreq ^%{_libdir}/libsvnjavahl-%{svnjavahl_api}.so$

%define build_python 1
%{?_without_python: %{expand: %%global build_python 0}}

%define build_ruby 1
%{?_without_ruby: %{expand: %%global build_ruby 0}}

%define build_java 1
%{?_with_java: %{expand: %%global build_java 1}}

%define build_perl 1
%{?_without_perl: %{expand: %%global build_perl 0}}

%define build_gnome_keyring 1
%{?_without_gnome_keyring: %{expand: %%global build_gnome_keyring 0}}

%define build_kwallet 1
%{?_without_kwallet: %{expand: %%global build_kwallet 0}}

%define build_test 0
%{?_with_test: %{expand: %%global build_test 1}}

%define with_debug 0
%{?_with_debug: %{expand: %%global with_debug 1}}

%ifarch %mips %arm
%define build_java 0
%endif

Name: subversion
Version: 1.7.9
Release: %mkrel 1
Epoch: 2
Summary: A Concurrent Versioning System
License: Apache License
Group: Development/Other
URL: http://subversion.apache.org/
Source0: http://www.apache.org/dist/subversion/%{name}-%{version}.tar.bz2
Source1: http://www.apache.org/dist/subversion/%{name}-%{version}.tar.bz2.asc
Source2: 46_mod_dav_svn.conf
Source3: 47_mod_authz_svn.conf
Source5: %{name}-1.3.0-global-config
Source6: %{name}-1.3.0-global-servers
Source7: http://svnbook.red-bean.com/nightly/en/svn-book-html-chunk.tar.bz2
Patch0: subversion-1.7.1-underlink.patch
# http://www.rz.uni-karlsruhe.de/~rz41/source/Patches/subversion-1.4.3/hook-scripts-patch
# Patch1: subversion-1.6.0-deplibs.patch
Patch4: subversion-hook-script_pathfix.diff
Patch5: subversion-propchange-email.diff
BuildRequires: autoconf >= 2.54
BuildRequires: libtool >= 1.4.2
BuildRequires: chrpath
BuildRequires: python >= 2.2
BuildRequires: texinfo
BuildRequires: info-install
BuildRequires: db4-devel
BuildRequires: pkgconfig(neon)
BuildRequires: apache-devel >=  %{apache_version}
BuildRequires: pkgconfig(apr-1) >= 1.3.0
BuildRequires: pkgconfig(apr-util-1) >= 1.3.0
BuildRequires: libxslt-proc
BuildRequires: docbook-style-xsl
BuildRequires: serf-devel >= 0.3.0
BuildRequires: pkgconfig(sqlite3) >= 3.4.0
# Swig is runtime only
BuildRequires: swig >= 1.3.27
BuildRequires: multiarch-utils >= 1.0.3
Provides: %{name}-ra-method = %{epoch}:%{version}-%{release}
Provides: %{name}-client-tools = %{epoch}:%{version}-%{release}
Provides: svn = %{epoch}:%{version}
Requires: %{libsvn} = %{epoch}:%{version}

%description
Subversion (SVN) is a concurrent version control system which enables one or
more users to collaborate in developing and maintaining a hierarchy of files
and directories while keeping a history of all changes.  Subversion only stores
the differences between versions, instead of every complete file.  Subversion
also keeps a log of who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent Versioning
System) but has major enhancements compared to CVS and fixes a lot of the
annoyances that CVS users face.

This package contains the client, if you're looking for the server end
of things you want %{name}-server.

%files -f %{name}.lang
%{_bindir}/svn
%{_bindir}/svnversion
%{_bindir}/showchange*
# Contrib was removed in subversion-1.7.x
# %%{_bindir}/search-svnlog*
# %%{_bindir}/svn_all_diffs*
# %%{_bindir}/svn_load_dirs*
# %%{_bindir}/svn-log*
%{_bindir}/svnlook
%{_mandir}/man1/svn.*
%{_mandir}/man1/svnlook.*
%{_mandir}/man1/svnversion.*
%{_mandir}/man1/svnsync.*
%dir %{_datadir}/subversion-%{version}
%{_sysconfdir}/bash_completion.d/subversion

#--------------------------------------------------------------------------

%package        doc
Summary:        Subversion Documenation
Group:          Development/Other

%description    doc
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the subversion book and design info files.

%post doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%postun doc
%_install_info svn-design.info
%_install_info svn-handbook.info

%files doc
%doc svnbook-1.*
%doc doc/user/*.html
%doc doc/user/*.txt

#--------------------------------------------------------------------------

%package -n	%{libsvn}
Summary: 	Subversion libraries
Group:		System/Libraries

%description -n	%{libsvn}
Subversion common libraries

%files -n	%{libsvn}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_ra-1.so.*
%{_libdir}/libsvn_ra_local-1.so.*
%{_libdir}/libsvn_ra_svn-1.so.*
%{_libdir}/libsvn_ra_neon-1.so.*
%{_libdir}/libsvn_client*so.*
%{_libdir}/libsvn_wc-*so.*
%{_libdir}/libsvn_delta-*so.*
%{_libdir}/libsvn_subr-*so.*
%{_libdir}/libsvn_diff-*so.*
%{_libdir}/libsvn_fs*.so.*
%{_libdir}/libsvn_repos-*.so.*
%dir %{_sysconfdir}/subversion
%config(noreplace) %{_sysconfdir}/subversion/*

#---------------------------------------------------------------------------

%if %{build_gnome_keyring}

%package -n	%{libsvngnomekeyring}
Summary: 	gnome-keyring support for svn
Group:		System/Libraries
BuildRequires:	pkgconfig(gnome-keyring-1)
BuildRequires:	pkgconfig(dbus-1) >= 1.2.4.4permissive
Requires:	gnome-keyring >= 2.26.1

%description -n	%{libsvngnomekeyring}
Subversion libraries that allow interaction with the gnome-keyring daemon

%files -n	%{libsvngnomekeyring}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_auth_gnome_keyring-1.so.0*

%endif

#--------------------------------------------------------------------------

%if %{build_kwallet}

%package -n	%{libsvnkwallet}
Summary: 	kwallet support for svn
Group:		System/Libraries
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(dbus-1) >= 1.2.4.4permissive
Requires:	kwallet

%description -n	%{libsvnkwallet}
Subversion libraries that allow interaction with the kwallet daemon.

%files -n	%{libsvnkwallet}
# list all ra libs to make sure we don't miss any
# in a bogus build
%{_libdir}/libsvn_auth_kwallet-1.so.0*

%endif

#--------------------------------------------------------------------------

%package	server
Summary:	Subversion Server
Group:		System/Servers
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires(pre):	rpm-helper
Requires(postun): rpm-helper
Requires(post):	sed
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

%description server
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi
  * various hook scripts
  * xslt example

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%pre server
%_pre_useradd svn /var/lib/svn /bin/false

%post server
# fix svn entries in /etc/services
if ! grep -qE '^svn[[:space:]]+3690/(tcp|udp)[[:space:]]+svnserve' %{_sysconfdir}/services; then
        # cleanup
        sed -i -e '/^svn\(serve\)\?/d;/^# svnserve ports added by subversion-server/d' %{_sysconfdir}/services
        echo "# svnserve ports added by subversion-server" >> /etc/services
        echo -e "svn\t3690/tcp\tsvnserve\t# Subversion svnserve" >> /etc/services
        echo -e "svn\t3690/udp\tsvnserve\t# Subversion svnserve" >> /etc/services
fi

%postun server
%_postun_userdel svn

%files server
%doc BUGS CHANGES COMMITTERS LICENSE INSTALL README
%{_bindir}/svnserve
%config(noreplace) %{_sysconfdir}/xinetd.d/svnserve
/var/lib/svn
%{_mandir}/man8/svnserve.8*
%{_mandir}/man5/svnserve.conf.5*

#--------------------------------------------------------------------------

%package	tools
Summary:	Subversion Repo/Server Tools
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

%description tools
This package contains a myriad of tools for subversion server
and repository admins:
  * hot-backup makes a backup of a svn repo without stopping
  * mirror_dir_through_svn.cgi
  * various hook scripts
  * xslt example

Note that cvs2svn has moved out of subversion and is a separate
project.  It has not released its own package yet, but you can
find it at http://cvs2svn.tigris.org/

%files tools
%{_bindir}/hot-backup*
%{_bindir}/svnadmin
%{_bindir}/svnsync
%{_bindir}/svndumpfilter
%{_bindir}/svnrdump
%{_datadir}/%{name}-%{version}/repo-tools
%{_mandir}/man1/svnadmin.1*
%{_mandir}/man1/svndumpfilter.1*
%{_mandir}/man1/svnrdump.1*

#--------------------------------------------------------------------------

%if %{build_python}

%package -n	python-svn
Summary: 	Python bindings for Subversion
Group:		Development/Other
%py_requires -d
Provides:	python-subversion = %{version}-%{release}
Requires:	python
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires:	%{libsvn} = %{epoch}:%{version}

%description -n	python-svn
This package contains the files necessary to use the subversion
library functions within python scripts.

%files -n	python-svn
%{_libdir}/libsvn_swig_py*.so.*
%{py_sitedir}/svn
%{py_platsitedir}/libsvn
%doc tools/examples/*.py subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES

%endif

#--------------------------------------------------------------------------

%if %{build_ruby}

%package -n	ruby-svn
Summary: 	Ruby bindings for Subversion
Group:		Development/Ruby
BuildRequires:	ruby-devel
Requires:	ruby
Requires:	%{libsvn} = %{epoch}:%{version}
Provides:	ruby-subversion = %{epoch}:%{version}-%{release}

%description -n	ruby-svn
This package contains the files necessary to use the subversion
library functions within ruby scripts.

%files -n	ruby-svn
%{ruby_sitearchdir}/svn
%{ruby_sitelibdir}/*/*.rb
%{_libdir}/libsvn_swig_ruby*.so.*

%endif

#--------------------------------------------------------------------------

%if %{build_java}
# We have the non-major symlink also in this package (due to java design),
# so we only have %%api in package name.
%define svnjavahl_api 1
%define libsvnjavahl %mklibname svnjavahl %{svnjavahl_api}

%package -n	%{libsvnjavahl}
Summary: 	Svn Java bindings library
Group:		System/Libraries
Conflicts:	subversion-devel < 2:1.6.0-3
Obsoletes:	%{_lib}svnjavahl0 < 2:1.6.0-3

%description -n	%{libsvnjavahl}
Svn Java bindings library

%files -n	%{libsvnjavahl}
%{_libdir}/libsvnjavahl-%{svnjavahl_api}.*

#--------------------------------------------------------------------------

%package -n	svn-javahl
Summary: 	Java bindings for Subversion
Group:		Development/Java
Obsoletes:	java-svn < %{epoch}:%{version}-%{release}
Provides:	java-svn = %{epoch}:%{version}-%{release}
Provides:	java-subversion = %{epoch}:%{version}-%{release}
Provides:	subversion-javahl = %{epoch}:%{version}-%{release}
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}-%{release}
Requires:	%{libsvnjavahl} = %{epoch}:%{version}-%{release}
BuildRequires:	java-devel
BuildRequires:	ant
BuildRequires:	java-rpmbuild >= 1.7.3-10
BuildRequires:	junit

%description -n	svn-javahl
This package contains the files necessary to use the subversion
library functions from Java.

%files -n	svn-javahl
%doc subversion/bindings/javahl/README
%{_javadir}/svn-javahl.jar
%{_javadir}/svn-javahl-%{version}.jar

%endif

#--------------------------------------------------------------------------

%if %{build_perl}

%package -n	perl-SVN
Summary: 	Perl bindings for Subversion
Group:		Development/Perl
BuildRequires:	perl-devel
Requires:	%{name} = %{epoch}:%{version}-%{release}
Obsoletes:	perl-svn
Provides:	perl-svn = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}

%description -n	perl-SVN
This package contains the files necessary to use the subversion
library functions within perl scripts.

%files -n	perl-SVN
%doc subversion/bindings/swig/INSTALL subversion/bindings/swig/NOTES
%{_libdir}/libsvn_swig_perl*.so.*
%{perl_vendorarch}/SVN
%{perl_vendorarch}/auto/SVN
%{perl_sitearch}/*
%{_mandir}/man3/SVN::*.3*

%endif

#---------------------------------------------------------------

%if %{build_kwallet}

%package	kwallet-devel
Summary:	Subversion headers/libraries for development
Group:		Development/Other
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libsvnkwallet} = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-devel < 2:1.6.17-2

%description kwallet-devel
This package contains the header files and linker scripts for
subversion libraries using kwallet auth.

%files kwallet-devel
%{_libdir}/libsvn_auth_kwallet-1.so

%endif

#-----------------------------------------------------------------

%if %{build_gnome_keyring}

%package	gnome-keyring-devel
Summary:	Subversion headers/libraries for development
Group:		Development/Other
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	%{libsvngnomekeyring} = %{epoch}:%{version}-%{release}
Conflicts:	%{name}-devel < 2:1.6.17-2

%description gnome-keyring-devel
This package contains the header files and linker scripts for
subversion libraries using gnome-keyring auth

%files gnome-keyring-devel
%{_libdir}/libsvn_auth_gnome_keyring-1.so

%endif

#---------------------------------------------------------------

%if %{build_perl}

%package -n	perl-svn-devel
Summary: 	Subversion headers/libraries for development
Group:		Development/Other
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	perl-SVN = %{epoch}:%{version}
Obsoletes:	perl-SVN-devel < 2:1.5.2-2
Provides:	perl-SVN-devel = %{epoch}:%{version}
Conflicts:	%{name}-devel < 2:1.6.17-2

%description -n	perl-svn-devel
This package contains the header files and linker scripts for
subversion libraries using perl.

%files -n	perl-svn-devel
%{_libdir}/libsvn_swig_perl-1.so

%endif

#----------------------------------------------------------------

%if %{build_python}

%package -n	python-svn-devel
Summary: 	Subversion headers/libraries for development
Group:		Development/Other
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}
Requires:	python-svn = %{epoch}:%{version}
Obsoletes:	python-svn-devel < 2:1.5.2-2
Conflicts:	%{name}-devel < 2:1.6.17-2

%description -n	python-svn-devel
This package contains the header files and linker scripts for
subversion libraries using perl.

%files -n	python-svn-devel
%{_libdir}/libsvn_swig_py-1.so

%endif

#-------------------------------------------------------------------

%if %{build_ruby}

%package -n	ruby-svn-devel
Summary: 	Subversion headers/libraries for development
Group:		Development/Other
Requires:	ruby-svn = %{epoch}:%{version}
Obsoletes:	ruby-svn-devel < 2:1.5.2-2
Conflicts:	%{name}-devel < 2:1.6.17-2

%description -n	ruby-svn-devel
This package contains the header files and linker scripts for
subversion libraries using perl.

%files -n	ruby-svn-devel
%{_libdir}/libsvn_swig_ruby-1.so

%endif

#----------------------------------------------------------------

%package	devel
Summary:	Subversion headers/libraries for development
Group:		Development/Other
Provides:	libsvn-devel = %{epoch}:%{version}-%{release}
Requires:	%{libsvn} = %{epoch}:%{version}-%{release}
Requires:	neon-devel


%description devel
This package contains the header files and linker scripts for
subversion libraries.

%files devel
%doc tools/examples/minimal_client.c
%{_includedir}/subversion-1/*
%{_libdir}/libsvn_client-1.so
%{_libdir}/libsvn_delta-1.so
%{_libdir}/libsvn_diff-1.so
%{_libdir}/libsvn_diff.so
%{_libdir}/libsvn_fs-1.so
%{_libdir}/libsvn_fs_fs-1.so
%{_libdir}/libsvn_fs_base-1.so
%{_libdir}/libsvn_fs_util-1.so
%{_libdir}/libsvn_ra-1.so
%{_libdir}/libsvn_ra_local-1.so
%{_libdir}/libsvn_ra_neon-1.so
%{_libdir}/libsvn_ra_svn-1.so
%{_libdir}/libsvn_repos-1.so
%{_libdir}/libsvn_subr-1.so
%{_libdir}/libsvn_wc-1.so


%if %{build_java}
%exclude %{_libdir}/libsvnjavahl*
%endif

#----------------------------------------------------------------

%define mod_version  %{apache_version}_%{version}
%define mod_dav_name mod_dav_svn
%define mod_dav_conf 46_%{mod_dav_name}.conf
%define mod_dav_so %{mod_dav_name}.so
%define mod_authz_name mod_authz_svn
%define mod_authz_conf 47_%{mod_authz_name}.conf
%define mod_authz_so %{mod_authz_name}.so

%package -n	apache-mod_dav_svn
Summary:	Subversion server DSO module for apache
Group:		System/Servers
Requires:	%{name}-tools = %{epoch}:%{version}-%{release}
Requires(pre): rpm-helper
Requires(postun): rpm-helper
Requires(pre):  apache >= %{apache_version}
Requires(pre):  apache-mod_dav >= %{apache_version}
# soname didn't change between 1.3.x and 1.4.x, but we
# need the right one...
Requires(pre): %{libsvn} = %{epoch}:%{version}
Obsoletes:      apache-mod_authz_svn <= %{epoch}:%{version}-%{release}
Obsoletes:      apache-mod_dontdothat <= %{epoch}:%{version}-%{release}

%description -n	apache-mod_dav_svn
Subversion is a concurrent version control system which enables
one or more users to collaborate in developing and maintaining a
hierarchy of files and directories while keeping a history of all
changes. Subversion only stores the differences between versions,
instead of every complete file. Subversion also keeps a log of
who, when, and why changes occurred.

As such it basically does the same thing CVS does (Concurrent
Versioning System) but has major enhancements compared to CVS and
fixes a lot of the annoyances that CVS users face.

This package contains the apache server extension DSO for running
a subversion server.

%files -n    apache-mod_dav_svn
%doc subversion/%{mod_authz_name}/INSTALL
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_dav_conf}
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/httpd/modules.d/%{mod_authz_conf}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_dav_so}
%attr(0755,root,root) %{_libdir}/apache-extramodules/%{mod_authz_so}
%attr(0755,root,root) %{_libdir}/apache-extramodules/mod_dontdothat.so

#--------------------------------------------------------------------------

%prep
%setup -q -a 7
%patch0 -p1 -b .underlink
#%%patch4 -p0 -b .hook-script_pathfix
# it was removed after 1.3.2 but still referenced in subversion/libsvn_repos/repos.c
#%%patch5 -p1 -b .propchange-email

rm -rf neon apr apr-util db4

# fix shellbang lines, #111498
perl -pi -e 's|/usr/bin/env perl|%{_bindir}/perl|g' tools/hook-scripts/*.pl.in

# fix file perms
chmod 644 BUGS CHANGES COMMITTERS LICENSE INSTALL README

# move latest svnbook snapshot as their target version
mv svn-book-html-chunk svnbook-1.6

./autogen.sh --release

# lib64 fixes
perl -pi -e "s|\\$serf_prefix/lib\b|\\$serf_prefix/%{_lib}|g" build/ac-macros/serf.m4 configure*

%build
%serverbuild

%if %{build_java}
export JAVADIR=%{_jvmdir}/java
%endif

%define _disable_ld_no_undefined 1

%configure2_5x \
   --localstatedir=/var/lib \
   --with-apr_memcache=%{_prefix} \
   --with-apxs=%{_sbindir}/apxs \
   --with-apache-libexecdir=%{_libdir}/apache-extramodules \
   --with-apr=%{_bindir}/apr-1-config \
   --with-apr-util=%{_bindir}/apu-1-config \
   --disable-mod-activation \
   --with-swig=%{_prefix} \
   --disable-static \
%if %{with_debug}
   --enable-maintainer-mode \
   --enable-debug \
%endif
%if %{build_java}
   --with-jdk=%{java_home} \
   --with-junit=%{_javadir}/junit.jar \
%endif
%if %{build_gnome_keyring}
   --with-gnome-keyring \
%endif
%if %{build_kwallet}
   --with-kwallet \
%endif
   --enable-shared \
   --with-serf=%{_prefix} \
   --disable-neon-version-check \
   --with-sqlite=%{_prefix}

%{make} all

%if %{build_python}
make swig-py swig_pydir=%{py_platsitedir}/libsvn swig_pydir_extra=%{py_sitedir}/svn
%endif

%if %{build_perl}
make swig-pl
pushd  subversion/bindings/swig/perl/native
        perl Makefile.PL
popd
%endif

%if %{build_ruby}
make swig-rb
%endif

%if %{build_java}
make javahl
%endif

%install
%if %{build_test}
echo "###########################################################################"
echo "This can take quite some time to finish, so please be patient..."
echo "Don't be too surprised it the tests takes 30 minutes on a dual xeon machine..."
make LC_ALL=C LANG=C LD_LIBRARY_PATH="`pwd`/subversion/bindings/swig/perl/libsvn_swig_perl/.libs:`pwd`/subversion/bindings/swig/python/libsvn_swig_py/.libs:\
`pwd`/subversion/bindings/swig/python/.libs:`pwd`/subversion/libsvn_ra_local/.libs:`pwd`/subversion/svnadmin/.libs:\
`pwd`/subversion/tests/libsvn_ra_local/.libs:`pwd`/subversion/tests/libsvn_fs/.libs:`pwd`/subversion/tests/libsvn_wc/.libs:\
`pwd`/subversion/tests/libsvn_fs_base/.libs:`pwd`/subversion/tests/libsvn_diff/.libs:`pwd`/subversion/tests/libsvn_subr/.libs:\
`pwd`/subversion/tests/libsvn_delta/.libs:`pwd`/subversion/tests/libsvn_repos/.libs:`pwd`/subversion/tests/.libs:\
`pwd`/subversion/svnserve/.libs:`pwd`/subversion/libsvn_fs/.libs:`pwd`/subversion/libsvn_ra/.libs:`pwd`/subversion/libsvn_wc/.libs:\
`pwd`/subversion/mod_dav_svn/.libs:`pwd`/subversion/mod_authz_svn/.libs:`pwd`/subversion/svnlook/.libs:`pwd`/subversion/svndumpfilter/.libs:\
`pwd`/subversion/libsvn_client/.libs:`pwd`/subversion/libsvn_fs_base/bdb/.libs:`pwd`/subversion/libsvn_fs_base/util/.libs:\
`pwd`/subversion/libsvn_fs_base/.libs:`pwd`/subversion/libsvn_diff/.libs:`pwd`/subversion/libsvn_subr/.libs:`pwd`/subversion/svnversion/.libs:\
`pwd`/subversion/libsvn_ra_dav/.libs:`pwd`/subversion/libsvn_ra_svn/.libs:`pwd`/subversion/libsvn_delta/.libs:`pwd`/subversion/libsvn_fs_fs/.libs:\
`pwd`/subversion/libsvn_repos/.libs:`pwd`/subversion/clients/cmdline/.libs:$LD_LIBRARY_PATH" check
%endif

%makeinstall_std

%if %{build_python}
%makeinstall_std install-swig-py swig_pydir=%{py_platsitedir}/libsvn swig_pydir_extra=%{py_sitedir}/svn
# Precompile python
%py_compile %{buildroot}/%{py_platsitedir}/libsvn
%py_compile %{buildroot}/%{py_sitedir}/svn

%endif
%if %{build_perl}
%makeinstall_std install-swig-pl-lib
pushd subversion/bindings/swig/perl/native/
        perl Makefile.PL
        %makeinstall_std
popd
%endif
%if %{build_ruby}
%makeinstall_std install-swig-rb
%endif
%if %{build_java}
%{makeinstall_std} install-javahl

mkdir -p %{buildroot}%{_javadir}
%{__mv} %{buildroot}%{_libdir}/svn-javahl/svn-javahl.jar %{buildroot}%{_javadir}/svn-javahl-%{version}.jar
%{__ln_s} svn-javahl-%{version}.jar %{buildroot}%{_javadir}/svn-javahl.jar

%{_bindir}/chrpath -d %{buildroot}%{_libdir}/libsvnjavahl-1.so

%endif

%if %{build_perl}
# perl bindings
make pure_vendor_install -C subversion/bindings/swig/perl/native DESTDIR=%{buildroot}
%endif

install -D -m 644 %{SOURCE2} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_dav_conf}
install -D -m 644 %{SOURCE3} %{buildroot}%{_sysconfdir}/httpd/modules.d/%{mod_authz_conf}

# install the extra module

# cleanup
rm -f %{buildroot}%{_libdir}/apache-extramodules/*.*a

install -d %{buildroot}%{_sysconfdir}/httpd/conf

######################
###  client-tools  ###
######################

# various commands
# contrib was removed in subversion-1.7.x :
#  -- http://subversion.apache.org/docs/release-notes/1.7.html
#  -- (shlomif)
# install -m 755 contrib/client-side/search-svnlog.pl %%{buildroot}%%{_bindir}
# (cd  %%{buildroot}/%%{_bindir}; ln -sf  search-svnlog.pl search-svnlog)
# install -m 755 contrib/client-side/svn_all_diffs.pl %%{buildroot}%%{_bindir}
# (cd  %%{buildroot}/%%{_bindir}; ln -sf  svn_all_diffs.pl svn_all_diffs)
# install -m 755 contrib/client-side/svn_load_dirs/svn_load_dirs.pl %%{buildroot}%%{_bindir}
# (cd  %%{buildroot}/%%{_bindir}; ln -sf  svn_load_dirs.pl svn_load_dirs)
# install -m 755 contrib/client-side/svn-log.pl %%{buildroot}%%{_bindir}
# (cd  %%{buildroot}/%%{_bindir}; ln -sf  svn-log.pl svn-log)

install -m 755 tools/client-side/showchange.pl %{buildroot}%{_bindir}
(cd  %{buildroot}/%{_bindir}; ln -sf  showchange.pl showchange)

install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
install -m 644 tools/client-side/bash_completion \
    %{buildroot}%{_sysconfdir}/bash_completion.d/subversion

# Global configs
install -d -m 755 %{buildroot}%{_sysconfdir}/subversion
install -m 644 %{SOURCE5} %{buildroot}%{_sysconfdir}/subversion/config
install -m 644 %{SOURCE6} %{buildroot}%{_sysconfdir}/subversion/servers

####################
###  repo-tools  ###
####################

# hotbackup tool
install -m 755 tools/backup/hot-backup.py %{buildroot}%{_bindir}
(cd %{buildroot}%{_bindir}; ln -sf  hot-backup.py hot-backup)

# hook-scripts
install -d -m755 %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
pushd tools/hook-scripts
install -m 644 commit-access-control.cfg.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 commit-access-control.pl %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 644 svnperms.conf.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 svnperms.py %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 755 mailer/mailer.py %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
install -m 644 mailer/mailer.conf.example %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
popd

pushd tools/hook-scripts
install -m 755 commit-email.rb %{buildroot}/%{_datadir}/%{name}-%{version}/repo-tools/hook-scripts
popd

#xslt
install -d -m755 %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt
install -m 644 tools/xslt/svnindex.css %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt
install -m 644 tools/xslt/svnindex.xsl %{buildroot}%{_datadir}/%{name}-%{version}/repo-tools/xslt

#cgi
# contrib was removed in subversion-1.7.x :
# install -d -m755 %%{buildroot}%%{_datadir}/%%{name}-%%{version}/repo-tools/cgi
# install -m 755 contrib/cgi/mirror_dir_through_svn.cgi %%{buildroot}%%{_datadir}/%%{name}-%%{version}/repo-tools/cgi
# install -m 644 contrib/cgi/mirror_dir_through_svn.README %%{buildroot}%%{_datadir}/%%{name}-%%{version}/repo-tools/cgi
# install -m 755 contrib/cgi/tweak-log.cgi %%{buildroot}%%{_datadir}/%%{name}-%%{version}/repo-tools/cgi

# fix a missing file...
ln -sf libsvn_diff-1.so.0.0.0 %{buildroot}%{_libdir}/libsvn_diff.so

%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svn
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnlook
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnversion
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnserve
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnadmin
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svndumpfilter
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnsync
%{_bindir}/chrpath -d %{buildroot}%{_bindir}/svnrdump

# fix the stupid rpath stuff...
find %{buildroot}%{perl_vendorarch} -type f -name "*.so" | xargs chrpath -d

# handle translations
%find_lang %{name}

# fix the server parts
install -d %{buildroot}%{_sysconfdir}/xinetd.d
cat > svnserve.xinetd << EOF
# default: off
# description: svnserve is the server part of Subversion.
service svnserve
{
    disable		= yes
    port		= 3690
    socket_type		= stream
    protocol		= tcp
    wait		= no
    user		= svn
    server		= %{_bindir}/svnserve
    server_args		= -i -r /var/lib/svn/repositories
}
EOF
install -m 644 svnserve.xinetd %{buildroot}%{_sysconfdir}/xinetd.d/svnserve
install -d %{buildroot}/var/lib/svn/repositories

# Move perl man
mv %{buildroot}%_prefix/local/share/man/man3/* %{buildroot}%{_mandir}/man3/

# cleanup
find %{buildroot} -name "perllocal.pod" | xargs rm -f

# delete all .la files
find %{buildroot} -name *.la -delete


%changelog

* Fri Apr 12 2013 luigiwalser <luigiwalser> 2:1.7.9-1.mga2
+ Revision: 409792
- 1.7.9 (fixes several security issues in mod_dav_svn)
- fix module configuration to work with systemd (mga #6714)
- obsolete deleted subpackage apache-mod_dontdothat

* Tue Mar 20 2012 luigiwalser <luigiwalser> 2:1.7.4-2.mga2
+ Revision: 225017
- httpd restart is handled by filetriggers now

* Fri Mar 09 2012 fwang <fwang> 2:1.7.4-1.mga2
+ Revision: 221864
- new version 1.7.4

* Fri Mar 02 2012 shlomif <shlomif> 2:1.7.3-1.mga2
+ Revision: 216880
- New version - 1.7.3

  + dmorgan <dmorgan>
    - Own %%_sysconfdir/subversion

* Tue Dec 06 2011 fwang <fwang> 2:1.7.2-1.mga2
+ Revision: 177208
- new version 1.7.2

  + shlomif <shlomif>
    - deleted

* Mon Nov 28 2011 shlomif <shlomif> 2:1.7.1-2.mga2
+ Revision: 173814
- Add a patch (that tried to fix HTTPv2, but the problem was elsewhere. cannot hurt, though.
- New version - 1.7.1

* Fri Oct 21 2011 obgr_seneca <obgr_seneca> 2:1.6.17-5.mga2
+ Revision: 157161
- removed .la files

* Sun Sep 18 2011 fwang <fwang> 2:1.6.17-4.mga2
+ Revision: 144801
- rebuild for lost packages

* Sun Sep 18 2011 dmorgan <dmorgan> 2:1.6.17-3.mga2
+ Revision: 144724
- Change apache-conf require

* Wed Jul 20 2011 mikala <mikala> 2:1.6.17-2.mga2
+ Revision: 127471
- Remove buildroot
- split devel package in -devel, python-svn-devel, svn-kwallet-devel, svn-gnome-keyring-devel, ruby-svn-devel
  this done to avoid installing kde/gnome/ruby/python/perl dependencies when it's not useful (fix mga #2207)

* Sun Jun 12 2011 ahmad <ahmad> 2:1.6.17-1.mga2
+ Revision: 104387
- Update to 1.6.17; this also fixes:
  CVE-2011-1752
  CVE-2011-1783
  CVE-2011-1921

* Sun May 15 2011 pterjan <pterjan> 2:1.6.16-5.mga1
+ Revision: 99034
- Rebuild for fixed find-requires

* Thu Apr 21 2011 dmorgan <dmorgan> 2:1.6.16-4.mga1
+ Revision: 89312
- add subversion-javahl as provides

* Thu Apr 14 2011 tv <tv> 2:1.6.16-3.mga1
+ Revision: 84883
- new release

* Wed Jan 19 2011 jquelin <jquelin> 2:1.6.15-3.mga1
+ Revision: 23784
- rebuild

* Mon Jan 17 2011 blino <blino> 2:1.6.15-2.mga1
+ Revision: 21187
- remove old version checks, conflicts, obsoletes and scriptlets
- imported package subversion

